// Code generated by MockGen. DO NOT EDIT.
// Source: vault_grpc.pb.go

// Package mocks is a generated GoMock package.
package mocks

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	v1 "gitlab.com/infranetes/backup/proto/gen/infranetes/user/v1"
	grpc "google.golang.org/grpc"
)

// MockVaultClient is a mock of VaultClient interface.
type MockVaultClient struct {
	ctrl     *gomock.Controller
	recorder *MockVaultClientMockRecorder
}

// MockVaultClientMockRecorder is the mock recorder for MockVaultClient.
type MockVaultClientMockRecorder struct {
	mock *MockVaultClient
}

// NewMockVaultClient creates a new mock instance.
func NewMockVaultClient(ctrl *gomock.Controller) *MockVaultClient {
	mock := &MockVaultClient{ctrl: ctrl}
	mock.recorder = &MockVaultClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockVaultClient) EXPECT() *MockVaultClientMockRecorder {
	return m.recorder
}

// GetVaultExport mocks base method.
func (m *MockVaultClient) GetVaultExport(ctx context.Context, in *v1.GetVaultExportRequest, opts ...grpc.CallOption) (*v1.GetVaultExportResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "GetVaultExport", varargs...)
	ret0, _ := ret[0].(*v1.GetVaultExportResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetVaultExport indicates an expected call of GetVaultExport.
func (mr *MockVaultClientMockRecorder) GetVaultExport(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetVaultExport", reflect.TypeOf((*MockVaultClient)(nil).GetVaultExport), varargs...)
}

// GetVaultExports mocks base method.
func (m *MockVaultClient) GetVaultExports(ctx context.Context, in *v1.GetVaultExportsRequest, opts ...grpc.CallOption) (*v1.GetVaultExportsResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "GetVaultExports", varargs...)
	ret0, _ := ret[0].(*v1.GetVaultExportsResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetVaultExports indicates an expected call of GetVaultExports.
func (mr *MockVaultClientMockRecorder) GetVaultExports(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetVaultExports", reflect.TypeOf((*MockVaultClient)(nil).GetVaultExports), varargs...)
}

// GetVaultRestore mocks base method.
func (m *MockVaultClient) GetVaultRestore(ctx context.Context, in *v1.GetVaultRestoreRequest, opts ...grpc.CallOption) (*v1.GetVaultRestoreResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "GetVaultRestore", varargs...)
	ret0, _ := ret[0].(*v1.GetVaultRestoreResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetVaultRestore indicates an expected call of GetVaultRestore.
func (mr *MockVaultClientMockRecorder) GetVaultRestore(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetVaultRestore", reflect.TypeOf((*MockVaultClient)(nil).GetVaultRestore), varargs...)
}

// GetVaultRestores mocks base method.
func (m *MockVaultClient) GetVaultRestores(ctx context.Context, in *v1.GetVaultRestoresRequest, opts ...grpc.CallOption) (*v1.GetVaultRestoresResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "GetVaultRestores", varargs...)
	ret0, _ := ret[0].(*v1.GetVaultRestoresResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetVaultRestores indicates an expected call of GetVaultRestores.
func (mr *MockVaultClientMockRecorder) GetVaultRestores(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetVaultRestores", reflect.TypeOf((*MockVaultClient)(nil).GetVaultRestores), varargs...)
}

// RunVaultExport mocks base method.
func (m *MockVaultClient) RunVaultExport(ctx context.Context, in *v1.RunVaultExportRequest, opts ...grpc.CallOption) (*v1.RunVaultExportResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "RunVaultExport", varargs...)
	ret0, _ := ret[0].(*v1.RunVaultExportResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// RunVaultExport indicates an expected call of RunVaultExport.
func (mr *MockVaultClientMockRecorder) RunVaultExport(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RunVaultExport", reflect.TypeOf((*MockVaultClient)(nil).RunVaultExport), varargs...)
}

// RunVaultRestore mocks base method.
func (m *MockVaultClient) RunVaultRestore(ctx context.Context, in *v1.RunVaultRestoreRequest, opts ...grpc.CallOption) (*v1.RunVaultRestoreResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "RunVaultRestore", varargs...)
	ret0, _ := ret[0].(*v1.RunVaultRestoreResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// RunVaultRestore indicates an expected call of RunVaultRestore.
func (mr *MockVaultClientMockRecorder) RunVaultRestore(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RunVaultRestore", reflect.TypeOf((*MockVaultClient)(nil).RunVaultRestore), varargs...)
}

// MockVaultServer is a mock of VaultServer interface.
type MockVaultServer struct {
	ctrl     *gomock.Controller
	recorder *MockVaultServerMockRecorder
}

// MockVaultServerMockRecorder is the mock recorder for MockVaultServer.
type MockVaultServerMockRecorder struct {
	mock *MockVaultServer
}

// NewMockVaultServer creates a new mock instance.
func NewMockVaultServer(ctrl *gomock.Controller) *MockVaultServer {
	mock := &MockVaultServer{ctrl: ctrl}
	mock.recorder = &MockVaultServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockVaultServer) EXPECT() *MockVaultServerMockRecorder {
	return m.recorder
}

// GetVaultExport mocks base method.
func (m *MockVaultServer) GetVaultExport(arg0 context.Context, arg1 *v1.GetVaultExportRequest) (*v1.GetVaultExportResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetVaultExport", arg0, arg1)
	ret0, _ := ret[0].(*v1.GetVaultExportResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetVaultExport indicates an expected call of GetVaultExport.
func (mr *MockVaultServerMockRecorder) GetVaultExport(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetVaultExport", reflect.TypeOf((*MockVaultServer)(nil).GetVaultExport), arg0, arg1)
}

// GetVaultExports mocks base method.
func (m *MockVaultServer) GetVaultExports(arg0 context.Context, arg1 *v1.GetVaultExportsRequest) (*v1.GetVaultExportsResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetVaultExports", arg0, arg1)
	ret0, _ := ret[0].(*v1.GetVaultExportsResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetVaultExports indicates an expected call of GetVaultExports.
func (mr *MockVaultServerMockRecorder) GetVaultExports(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetVaultExports", reflect.TypeOf((*MockVaultServer)(nil).GetVaultExports), arg0, arg1)
}

// GetVaultRestore mocks base method.
func (m *MockVaultServer) GetVaultRestore(arg0 context.Context, arg1 *v1.GetVaultRestoreRequest) (*v1.GetVaultRestoreResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetVaultRestore", arg0, arg1)
	ret0, _ := ret[0].(*v1.GetVaultRestoreResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetVaultRestore indicates an expected call of GetVaultRestore.
func (mr *MockVaultServerMockRecorder) GetVaultRestore(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetVaultRestore", reflect.TypeOf((*MockVaultServer)(nil).GetVaultRestore), arg0, arg1)
}

// GetVaultRestores mocks base method.
func (m *MockVaultServer) GetVaultRestores(arg0 context.Context, arg1 *v1.GetVaultRestoresRequest) (*v1.GetVaultRestoresResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetVaultRestores", arg0, arg1)
	ret0, _ := ret[0].(*v1.GetVaultRestoresResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetVaultRestores indicates an expected call of GetVaultRestores.
func (mr *MockVaultServerMockRecorder) GetVaultRestores(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetVaultRestores", reflect.TypeOf((*MockVaultServer)(nil).GetVaultRestores), arg0, arg1)
}

// RunVaultExport mocks base method.
func (m *MockVaultServer) RunVaultExport(arg0 context.Context, arg1 *v1.RunVaultExportRequest) (*v1.RunVaultExportResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "RunVaultExport", arg0, arg1)
	ret0, _ := ret[0].(*v1.RunVaultExportResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// RunVaultExport indicates an expected call of RunVaultExport.
func (mr *MockVaultServerMockRecorder) RunVaultExport(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RunVaultExport", reflect.TypeOf((*MockVaultServer)(nil).RunVaultExport), arg0, arg1)
}

// RunVaultRestore mocks base method.
func (m *MockVaultServer) RunVaultRestore(arg0 context.Context, arg1 *v1.RunVaultRestoreRequest) (*v1.RunVaultRestoreResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "RunVaultRestore", arg0, arg1)
	ret0, _ := ret[0].(*v1.RunVaultRestoreResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// RunVaultRestore indicates an expected call of RunVaultRestore.
func (mr *MockVaultServerMockRecorder) RunVaultRestore(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RunVaultRestore", reflect.TypeOf((*MockVaultServer)(nil).RunVaultRestore), arg0, arg1)
}

// MockUnsafeVaultServer is a mock of UnsafeVaultServer interface.
type MockUnsafeVaultServer struct {
	ctrl     *gomock.Controller
	recorder *MockUnsafeVaultServerMockRecorder
}

// MockUnsafeVaultServerMockRecorder is the mock recorder for MockUnsafeVaultServer.
type MockUnsafeVaultServerMockRecorder struct {
	mock *MockUnsafeVaultServer
}

// NewMockUnsafeVaultServer creates a new mock instance.
func NewMockUnsafeVaultServer(ctrl *gomock.Controller) *MockUnsafeVaultServer {
	mock := &MockUnsafeVaultServer{ctrl: ctrl}
	mock.recorder = &MockUnsafeVaultServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockUnsafeVaultServer) EXPECT() *MockUnsafeVaultServerMockRecorder {
	return m.recorder
}

// mustEmbedUnimplementedVaultServer mocks base method.
func (m *MockUnsafeVaultServer) mustEmbedUnimplementedVaultServer() {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "mustEmbedUnimplementedVaultServer")
}

// mustEmbedUnimplementedVaultServer indicates an expected call of mustEmbedUnimplementedVaultServer.
func (mr *MockUnsafeVaultServerMockRecorder) mustEmbedUnimplementedVaultServer() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "mustEmbedUnimplementedVaultServer", reflect.TypeOf((*MockUnsafeVaultServer)(nil).mustEmbedUnimplementedVaultServer))
}
